RTEMS: NXP LPC176X

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules | Files | Macros | Functions
NXP LPC176X
Board Support Packages » ARM

NXP LPC176X Board Support Package. More...

## Modules
| DMA Support
| Direct memory access (DMA) support.
| System Clocks
| System clocks.

## Files
file | btimer.c
| Timer benchmark functions for the lpc176x bsp.
file | can.c
| CAN controller for the mbed lpc1768 board.
file | console-config.c
| Console configuration.
file | lpc-gpio.c
| GPIO library for the lpc176x bsp.
file | bsp.h
| Global BSP definitions.
file | adc-defs.h
| ADC library for the lpc176x bsp.
file | adc.h
| ADC library for the lpc176x bsp.
file | can-defs.h
| CAN controller for the lpc176x controller.
file | can.h
| CAN controller for the mbed lpc1768 board.
file | common-types.h
| Definitions types used by some devices in common.
file | gpio-defs.h
| API definitions of the GPIO driver for the lpc176x bsp in RTEMS.
file | io-defs.h
| Input/output module definitions.
file | io.h
| Input/output module methods definitions.
file | lpc-clock-config.h
| Clock driver configuration.
file | lpc-gpio.h
| API of the GPIO driver for the lpc176x bsp in RTEMS.
file | lpc176x.h
| Specific register definitions according to lpc176x family boards.
file | mbed-pinmap.h
| Pins of the mbed lpc1768 See http://mbed.org/media/uploads/chris/mbed-005.1.pdf for references.
file | pwmout-defs.h
| PWM-Out controller for the mbed lpc1768 board.
file | pwmout.h
| PWM-Out controller for the mbed lpc1768 board.
file | timer-defs.h
| API definitions of the for the timer of the lpc176x bsp.
file | timer.h
| Timer API for the lpc176x bsp.
file | watchdog-defs.h
| API definitions of the Watchdog driver for the lpc176x bsp in RTEMS.
file | watchdog.h
| API of the Watchdog driver for the lpc176x bsp in RTEMS.
file | pwmout.c
| PWM-Out controller for the mbed lpc1768 board.
file | rtc-config.c
| RTC configuration.
file | adc.c
| ADC library for the lpc176x bsp.
file | bspidle.c
| Idle task.
file | bspstart.c
| Startup code.
file | bspstarthooks.c
| First configurations and initializations to the correct functionality of the board.
file | io.c
| Input/output module methods.
file | restart.c
| Restart implementation.
file | watchdog.c
| Watchdog controller for the mbed lpc176x family boards.
file | timer.c
| Timer controller for the mbed lpc1768 board.

## Macros
#define | LPC176X_PCLK ( LPC176X_CCLK / LPC176X_PCLKDIV )
#define | LPC176X_MPU_REGION_COUNT 8u
#define | BSP_FEATURE_IRQ_EXTENSION
#define | BSP_ARMV7M_IRQ_PRIORITY_DEFAULT ( 29u << 3u )
#define | BSP_ARMV7M_SYSTICK_PRIORITY ( 30u << 3u )
#define | BSP_ARMV7M_SYSTICK_FREQUENCY LPC176X_CCLK
#define | BSP_CONSOLE_UART_BASE 0x4000C000U

## Functions
void * | bsp_idle_thread (uintptr_t ignored)
| Optimized idle task.
void | bsp_restart (const void *addr)
| Restarts the bsp with "addr" address.

## Detailed Description

NXP LPC176X Board Support Package.

## Function Documentation

## ◆ bsp_idle_thread()

void * bsp_idle_thread | ( | uintptr_t | ignored | ) |

Optimized idle task.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>
confdefs.h
Evaluate Configuration Options.

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.

## ◆ bsp_restart()

void bsp_restart | ( | const void * | addr | ) |

Restarts the bsp with "addr" address.

Parameters

  addr | Address used to restart the bsp